Subject: Re: [bug#36476] [PATCH] gnu: Add anonip.
From: Hartmut Goebel <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked]
Date: Tue, 9 Jul 2019 13:24:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Tobias,

Thanks for your review. Committed as
582de58c69bd46385196e26434951e1e2d5f32f2

> Thanks!  This should nicely replace some (probably buggy) ad-hoc code
> of mine :-)

:-)

> +    (inputs
>> +     `(("python-3" ,python-3)))
>
> I'm surprised: the python-build-system should take care of this. Does
> the package fail without it?  How?

You are right, this is not required. I copied this without questioning
from some other python application (don't remember which one).

>> +Depending on your webserver software, the log entries may directly
>> get piped
>> +to Anonip or read via a FIFO (named pipe).  Thus the unmasked IP
>> addresses 
>
> ‘read from’.

I rephrased this into "Depending on your Web server, the log entries may
be piped to Anonip directly
or via a FIFO (named pipe)."  This emphases on piping

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |